#include <avr/io.h>
#include "peri.h"

void init_peri()
{
    // output
    DDRB |= (1<<PB5)|(1<<PB3)|(1<<PB1);
		DDRC |= (1<<PC1)|(1<<PC3);

    // input
    DDRB &= ~((1<<PB0)|(1<<PB2)|(1<<PB4));
		DDRC &= ~((1<<PC0)|(1<<PC2));

    // enable pull-up resistor
    PORTB |= (1<<PB0)|(1<<PB2)|(1<<PB4);
		PORTC |= (1<<PC0)|(1<<PC2);

    // turn off all LEDs
		set_led(0,0);
		set_led(1,0);
		set_led(2,0);
		set_led(3,0);
		set_led(4,0);
}

void set_led(uint8_t pin, uint8_t state)
{
    if (pin > 4 | pin < 0) return;
    if (state){
			if(pin <= 2){
        PORTB |= (1<<((pin*2)+1));
			}else{
				pin = pin - 3;
				PORTC |= (1<<((pin*2)+1));
			}
		}else{
			if(pin <= 2){
        PORTB &= ~(1<<((pin*2)+1));
			}else{
				pin = pin - 3;
				PORTC &= ~(1<<((pin*2)+1));
			}
		}
}

